## com.mysql.jdbc
Class LoadBalancingConnectionProxy.BestResponseTimeBalanceStrategy

    java.lang.Object
      com.mysql.jdbc.LoadBalancingConnectionProxy.BestResponseTimeBalanceStrategy

All Implemented Interfaces:
  LoadBalancingConnectionProxy.BalanceStrategy

Enclosing class:
  LoadBalancingConnectionProxy

     class LoadBalancingConnectionProxy.BestResponseTimeBalanceStrategy

extends java.lang.Object
implements LoadBalancingConnectionProxy.BalanceStrategy

Constructor Summary
`LoadBalancingConnectionProxy.BestResponseTimeBalanceStrategy()`

Method Summary
`Connection` `pickConnection()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadBalancingConnectionProxy.BestResponseTimeBalanceStrategy

    LoadBalancingConnectionProxy.BestResponseTimeBalanceStrategy()

Method Detail

### pickConnection

    public Connection pickConnection()
                              throws java.sql.SQLException

  Specified by:
    `pickConnection` in interface `LoadBalancingConnectionProxy.BalanceStrategy`
  Throws:
    `java.sql.SQLException`